Package net.shibboleth.idp.session

# Interface SessionResolver

All Superinterfaces:
  `Resolver<IdPSession,CriteriaSet>`

All Known Implementing Classes:
  `StorageBackedSessionManager`

@ThreadSafe public interface SessionResolver extends Resolver<IdPSession,CriteriaSet>
A resolver that is capable of finding `IdPSession` objects that meet certain criteria.

## Method Summary

### Methods inherited from interface net.shibboleth.shared.resolver.Resolver

`resolve, resolveSingle`